MWAWSection::Column Struct Reference documentation

Public Member Functions | Public Attributes | Friends | List of all members
MWAWSection::Column Struct Reference

struct to store the columns properties More...

`#include <MWAWSection.hxx>`

## Public Member Functions
| Column ()
| constructor
bool | addTo (librevenge::RVNGPropertyList &propList) const
| add a column to the propList
bool | operator!= (Column const &col) const
| operator!=
bool | operator== (Column const &col) const
| operator==

## Public Attributes
double | m_width
| the columns width
librevenge::RVNGUnit | m_widthUnit
| the width unit (default inches)
double | m_margins [4]
| the margins in inches using libmwaw::Position orders

## Friends
std::ostream & | operator<< (std::ostream &o, Column const &column)
| operator <<

## Detailed Description

struct to store the columns properties

## Constructor & Destructor Documentation

## ◆ Column()

MWAWSection::Column::Column | ( |  | ) |
| inline

constructor

## Member Function Documentation

## ◆ addTo()

bool MWAWSection::Column::addTo | ( | librevenge::RVNGPropertyList & | propList | ) | const

add a column to the propList

## ◆ operator!=()

bool MWAWSection::Column::operator!= | ( | Column const & | col | ) | const
| inline

operator!=

Referenced by operator==().

## ◆ operator==()

bool MWAWSection::Column::operator== | ( | Column const & | col | ) | const
| inline

operator==

## Friends And Related Function Documentation

## ◆ operator<<

std::ostream & operator<< | ( | std::ostream & | o,
|  | MWAWSection::Column const & | col
| ) |  |
| friend

operator <<

## Member Data Documentation

## ◆ m_margins

double MWAWSection::Column::m_margins[4]

the margins in inches using libmwaw::Position orders

Referenced by addTo(), Column(), FullWrtTextInternal::PageInfo::getSection(), MsWrdStruct::Section::getSection(), operator!=(), MarinerWrtParser::readZoneDim(), and MWAWSection::setColumns().

## ◆ m_width

double MWAWSection::Column::m_width

the columns width

Referenced by addTo(), WriterPlsParser::findSection(), FullWrtTextInternal::PageInfo::getSection(), MsWrdStruct::Section::getSection(), operator!=(), MarinerWrtParser::readZoneDim(), and MWAWSection::setColumns().

## ◆ m_widthUnit

librevenge::RVNGUnit MWAWSection::Column::m_widthUnit

the width unit (default inches)

Referenced by addTo(), WriterPlsParser::findSection(), FullWrtTextInternal::PageInfo::getSection(), MsWrdStruct::Section::getSection(), operator!=(), MarinerWrtParser::readZoneDim(), and MWAWSection::setColumns().

The documentation for this struct was generated from the following files:

- MWAWSection.hxx
- MWAWSection.cxx